# Contributing

Thanks for being interested in contributing! Here's how you can help!

## Create an issue

Before you create a new issue, check to see if someone else has opened a similar
issue. There might already be some discussion about the issue you were thinking
of opening.

Create an issue if you notice some unexpected behavior with Noti or if you think
the documentation (readme, code comments, etc) is lacking. New notification type
requests are also fine.

## Submit a pull request

Wow. Thanks! You're awesome!

But before spending hours writing some code, make sure you voice your proposal
with an issue. That way we can share background that could impact your proposal.
After you get the green light there, then you can start coding away!

If you want to help, but aren't sure how, check out [bug reports] or [help
wanted] issues.

### Submission flow

* Fork Noti on GitHub
* `cd variadico/noti`
* `git remote add fork git@github.com:YOU/noti.git`
* Branch off [dev]
* Make changes
* Rebase before submitting
* Run `make test`
* `git push fork dev`

Thanks for helping make Noti better!

[dev]: https://github.com/variadico/noti/tree/dev
[bug reports]: https://github.com/variadico/noti/issues?q=is%3Aopen+is%3Aissue+label%3Abug
[help wanted]: https://github.com/variadico/noti/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22+
